diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index d433b8e2..74ae4e40 100755
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -1360,13 +1299,13 @@ pgAdmin.FileUtils = {
                   // set selected folder name in breadcrums
                   $('.file_manager #uploader .input-path').hide();
                   $('.file_manager #uploader .show_selected_file').remove();
-                  $('<span class="show_selected_file">'+path+'</span>').appendTo(
+                  $('<span class="show_selected_file">' + path + '</span>').appendTo(
                     '.file_manager #uploader .filemanager-path-group'
                   );
                 } else {
                   $('.file_manager_ok').addClass('disabled');
                   $('.file_manager_ok').attr('disabled', true);
-                  if(check) {
+                  if (check) {
                     // Enable/Disable level up button
                     enab_dis_level_up();
 
@@ -1388,13 +1327,13 @@ pgAdmin.FileUtils = {
                   $('.file_manager #uploader .show_selected_file').remove();
                 }
 
-                if(check) {
+                if (check) {
                   if (config.options.dialog_type == 'create_file') {
-                    var status = checkPermission(path)
+                    var status = checkPermission(path);
                     if (status) {
                       $('.file_manager').trigger('enter-key');
                     }
-                  } else if(config.options.dialog_type == 'select_file') {
+                  } else if (config.options.dialog_type == 'select_file') {
                     var file_status = getFileInfo(path);
                     if (file_status) {
                       $('.file_manager').trigger('enter-key');
@@ -1404,331 +1343,331 @@ pgAdmin.FileUtils = {
               }
             };
 
-        self.data_cap = cap;
+          self.data_cap = cap;
 
-        $('.storage_dialog #uploader .input-path').keyup(function(e) {
-          if(e.keyCode == 13) {
-            e.stopPropagation();
-            var path = $(this).val();
-            if(path == '') {
-              path = '/';
-            }
+          $('.storage_dialog #uploader .input-path').keyup(function(e) {
+            if (e.keyCode == 13) {
+              e.stopPropagation();
+              var path = $(this).val();
+              if (path == '') {
+                path = '/';
+              }
 
-            if(config.options.platform_type === "win32") {
-              path = path.replace(/\//g, '\\')
-            } else {
-              path = path.replace(/\\/g, '/')
-              if (!S.startsWith(path, '/')) {
-                path = '/' + path;
+              if (config.options.platform_type === 'win32') {
+                path = path.replace(/\//g, '\\');
+              } else {
+                path = path.replace(/\\/g, '/');
+                if (!S.startsWith(path, '/')) {
+                  path = '/' + path;
+                }
               }
-            }
 
-            $(this).val(path);
-            setTimeout(function() {
-              check_obj(path, true);
-            });
+              $(this).val(path);
+              setTimeout(function() {
+                check_obj(path, true);
+              });
 
-            return;
-          }
-          check_obj($(this).val(), false);
-        });
-      }
-      this.set_cap = function(cap) {
-        this.data_cap = cap;
+              return;
+            }
+            check_obj($(this).val(), false);
+          });
+        };
+        this.set_cap = function(cap) {
+          this.data_cap = cap;
+        };
       }
-    }
-    var input_object = new InputObject();
-    input_object.init(data);
-
-    // Upload file
-    if (has_capability(data, 'upload')) {
-      Dropzone.autoDiscover = false;
-  // we remove simple file upload element
-  $('.file-input-container').remove();
-  $('.upload').remove();
-  $( ".create" ).before( '<button value="Upload" type="button" title="Upload File" name="upload" id="upload" class="btn fa fa-upload upload" tabindex="6"><span></span></button> ' );
-
-  $('#uploader .upload').unbind().click(function() {
-    // we create prompt
-    var msg  = '<div id="dropzone-container">' +
-          '<button class="fa fa-times dz_cross_btn" tabindex="7"></button>' +
-          '<div id="multiple-uploads" class="dropzone"></div>' +
-          '<div class="prompt-info">' + lg.file_size_limit +
-          config.upload.fileSizeLimit + ' ' + lg.mb + '.</div>',
-          error_flag = false,
-          path = $('.currentpath').val(),
-          filesizelimit = config.upload.fileSizeLimit,
-          // default dropzone value
-          fileSize = (filesizelimit != 'auto') ? filesizelimit : 256,
-          acceptFiles;
-
-    if (config.security.uploadPolicy == 'DISALLOW_ALL') {
-      acceptFiles = '.' + config.security.uploadRestrictions.join(',.');
-    } else {
-      // We allow any extension since we have no easy way to handle the the
-      // built-in `acceptedFiles` params would be handled later by the
-      // connector.
-      acceptFiles = null;
-    }
+      var input_object = new InputObject();
+      input_object.init(data);
+
+      // Upload file
+      if (has_capability(data, 'upload')) {
+        Dropzone.autoDiscover = false;
+        // we remove simple file upload element
+        $('.file-input-container').remove();
+        $('.upload').remove();
+        $('.create').before('<button value="Upload" type="button" title="Upload File" name="upload" id="upload" class="btn fa fa-upload upload" tabindex="6"><span></span></button> ');
+
+        $('#uploader .upload').unbind().click(function() {
+          // we create prompt
+          var msg = '<div id="dropzone-container">' +
+            '<button class="fa fa-times dz_cross_btn" tabindex="7"></button>' +
+            '<div id="multiple-uploads" class="dropzone"></div>' +
+            '<div class="prompt-info">' + lg.file_size_limit +
+            config.upload.fileSizeLimit + ' ' + lg.mb + '.</div>',
+            path = $('.currentpath').val(),
+            filesizelimit = config.upload.fileSizeLimit,
+            // default dropzone value
+            fileSize = (filesizelimit != 'auto') ? filesizelimit : 256,
+            acceptFiles;
+
+          if (config.security.uploadPolicy == 'DISALLOW_ALL') {
+            acceptFiles = '.' + config.security.uploadRestrictions.join(',.');
+          } else {
+            // We allow any extension since we have no easy way to handle the the
+            // built-in `acceptedFiles` params would be handled later by the
+            // connector.
+            acceptFiles = null;
+          }
 
-    $('.file_manager .upload_file').toggle();
-    $('.file_manager .upload_file').html(msg);
-
-    //var previewTemplate = '<div id="dropzone-container">';
-    var previewTemplate = '<div class="file_upload_main dz-preview dz-file-preview">'+
-          '<div class="show_error">' +
-          '<p class="size dz-size" data-dz-size></p>' +
-          '<p class="name dz-filename" data-dz-name></p>' +
-          '</div>' +
-          '<div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>' +
-          '<div class="dz-success-mark"><span></span></div>' +
-          '<div class="dz-error-mark"><span></span></div>' +
-          '<div class="dz-error-message"><span data-dz-errormessage></span></div>' +
-          '<a href="javascript:void(0);" class="fa fa-trash dz_file_remove" data-dz-remove></a>' +
-          '</div>';
-
-    $("div#multiple-uploads").dropzone({
-      paramName: "newfile",
-      url: pgAdmin.FileUtils.fileConnector,
-      maxFilesize: fileSize,
-      maxFiles: config.upload.number,
-      addRemoveLinks: true,
-      previewTemplate: previewTemplate,
-      parallelUploads: config.upload.number,
-      dictMaxFilesExceeded: lg.dz_dictMaxFilesExceeded.replace(
-        "%s", config.upload.number
-      ),
-      dictDefaultMessage: lg.dz_dictDefaultMessage,
-      dictInvalidFileType: lg.dz_dictInvalidFileType,
-      dictFileTooBig: lg.file_too_big + ' ' + lg.file_size_limit +
-        config.upload.fileSizeLimit + ' ' + lg.mb,
-      acceptedFiles: acceptFiles,
-      autoProcessQueue: true,
-      init: function() {
-        var dropzone = this;
-
-        $('.dz_cross_btn').unbind().on('click', function() {
           $('.file_manager .upload_file').toggle();
+          $('.file_manager .upload_file').html(msg);
+
+          //var previewTemplate = '<div id="dropzone-container">';
+          var previewTemplate = '<div class="file_upload_main dz-preview dz-file-preview">' +
+            '<div class="show_error">' +
+            '<p class="size dz-size" data-dz-size></p>' +
+            '<p class="name dz-filename" data-dz-name></p>' +
+            '</div>' +
+            '<div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>' +
+            '<div class="dz-success-mark"><span></span></div>' +
+            '<div class="dz-error-mark"><span></span></div>' +
+            '<div class="dz-error-message"><span data-dz-errormessage></span></div>' +
+            '<a href="javascript:void(0);" class="fa fa-trash dz_file_remove" data-dz-remove></a>' +
+            '</div>';
+
+          $('div#multiple-uploads').dropzone({
+            paramName: 'newfile',
+            url: pgAdmin.FileUtils.fileConnector,
+            maxFilesize: fileSize,
+            maxFiles: config.upload.number,
+            addRemoveLinks: true,
+            previewTemplate: previewTemplate,
+            parallelUploads: config.upload.number,
+            dictMaxFilesExceeded: lg.dz_dictMaxFilesExceeded.replace(
+              '%s', config.upload.number
+            ),
+            dictDefaultMessage: lg.dz_dictDefaultMessage,
+            dictInvalidFileType: lg.dz_dictInvalidFileType,
+            dictFileTooBig: lg.file_too_big + ' ' + lg.file_size_limit +
+              config.upload.fileSizeLimit + ' ' + lg.mb,
+            acceptedFiles: acceptFiles,
+            autoProcessQueue: true,
+            init: function() {
+              $('.dz_cross_btn').unbind().on('click', function() {
+                $('.file_manager .upload_file').toggle();
+              });
+            },
+            sending: function(file, xhr, formData) {
+              formData.append('mode', 'add');
+              formData.append('currentpath', path);
+              $('.upload_file .dz_cross_btn').attr('disabled', 'disabled');
+              setTimeout(function() {}, 10000);
+            },
+            success: function(file, response) {
+              var data = response.data.result,
+                $this = $(file.previewTemplate);
+
+              if (data.Code == 1) {
+                setTimeout(function() {
+                  $this.find('.dz-upload').addClass('success');
+                }, 1000);
+                $this.find('.dz-upload').css('width', '100%').html('100%');
+                Alertify.success(lg.upload_success);
+              } else {
+                $this.find('.dz-upload').addClass('error');
+                $this.find('.dz-upload').css('width', '0%').html('0%');
+                Alertify.error(data.Error);
+              }
+              getFolderInfo(path);
+            },
+            totaluploadprogress: function() {},
+            complete: function(file) {
+              if (file.status == 'error') {
+                Alertify.error(lg.upload_error);
+              }
+              $('.upload_file .dz_cross_btn').removeAttr('disabled');
+              getFolderInfo(path);
+            },
+          });
         });
-      },
-      sending: function(file, xhr, formData) {
-        formData.append("mode", "add");
-        formData.append("currentpath", path);
-        $('.upload_file .dz_cross_btn').attr('disabled', 'disabled');
-        setTimeout(function() {}, 10000);
-      },
-      success: function(file, response) {
-        var data = response.data.result,
-            $this = $(file.previewTemplate);
+      }
 
-        if (data.Code == 1) {
-          setTimeout(function() {
-            $this.find(".dz-upload").addClass("success");
-          }, 1000);
-          $this.find(".dz-upload").css('width', "100%").html("100%");
-          alertify.success(lg.upload_success);
+      this.getDetailView(fileRoot);
+    },
+    /*
+     * Sets the folder status, upload, and new folder functions
+     * to the path specified. Called on initial page load and
+     * whenever a new directory is selected.
+     */
+    setUploader: function(path) {
+      var config = this.config;
+      var lg = this.lg;
+      $('.storage_dialog #uploader').find('a').remove();
+      $('.storage_dialog #uploader').find('b').remove();
+
+      if (config.options.platform_type === 'win32') {
+        path = path.replace(/\//g, '\\');
+      } else {
+        path = path.replace(/\\/g, '/');
+      }
+
+      path = decodeURI(path);
+      if (config.options.platform_type === 'win32') {
+        if (config.options.show_volumes && path == '\\') {
+          $('.storage_dialog #uploader .input-path').val('');
         } else {
-          $this.find(".dz-upload").addClass("error");
-          $this.find(".dz-upload").css('width', "0%").html("0%");
-          alertify.error(data.Error);
-        }
-        getFolderInfo(path);
-      },
-      totaluploadprogress: function(progress) {},
-      complete: function(file) {
-        if (file.status == "error") {
-          alertify.error(lg.upload_error);
+          $('.storage_dialog #uploader .input-path').val(path);
         }
-        $('.upload_file .dz_cross_btn').removeAttr('disabled');
-        getFolderInfo(path);
+      } else if (!config.options.platform_type === 'win32' &&
+        (path == '' || !S.startsWith(path, '/'))) {
+        path = '/' + path;
+        $('.storage_dialog #uploader .input-path').val(path);
+      } else {
+        $('.storage_dialog #uploader .input-path').val(path);
       }
-    });
-  });
-}
-
-    this.getDetailView(fileRoot);
-  },
-   /*
-   * Sets the folder status, upload, and new folder functions
-   * to the path specified. Called on initial page load and
-   * whenever a new directory is selected.
-   */
-  setUploader: function(path) {
-    var config = this.config;
-    var lg = this.lg;
-    $('.storage_dialog #uploader').find('a').remove();
-    $('.storage_dialog #uploader').find('b').remove();
-
-    if(config.options.platform_type === "win32") {
-      path = path.replace(/\//g, '\\')
-    } else {
-      path = path.replace(/\\/g, '/')
-    }
 
-    path = decodeURI(path);
-    if (config.options.platform_type === "win32") {
-      if (config.options.show_volumes && path == '\\') {
-        $('.storage_dialog #uploader .input-path').val('');
+      if (path.lastIndexOf('\\') == -1 && path.lastIndexOf('/') == -1) {
+        $('.currentpath').val(path);
+      } else if (path.lastIndexOf('/') > path.lastIndexOf('\\')) {
+        $('.currentpath').val(path.substr(0, path.lastIndexOf('/') + 1));
       } else {
-          $('.storage_dialog #uploader .input-path').val(path);
+        $('.currentpath').val(path.substr(0, path.lastIndexOf('\\') + 1));
       }
-    } else if (!config.options.platform_type === "win32" &&
-          (path == '' || !S.startsWith(path, '/'))) {
-      path = '/' + path;
-      $('.storage_dialog #uploader .input-path').val(path);
-    } else {
-      $('.storage_dialog #uploader .input-path').val(path);
-    }
-
-    if( path.lastIndexOf('\\') == -1 && path.lastIndexOf('/') == -1) {
-      $('.currentpath').val(path);
-    } else if(path.lastIndexOf('/') > path.lastIndexOf('\\')) {
-      $('.currentpath').val(path.substr(0, path.lastIndexOf('/') + 1));
-    } else {
-      $('.currentpath').val(path.substr(0, path.lastIndexOf('\\') + 1));
-    }
 
-    enab_dis_level_up();
-    if ($('.storage_dialog #uploader h1 span').length === 0) {
-      $('<span>'+lg.current_folder+'</span>').appendTo($('.storage_dialog #uploader h1'));
-    }
+      enab_dis_level_up();
+      if ($('.storage_dialog #uploader h1 span').length === 0) {
+        $('<span>' + lg.current_folder + '</span>').appendTo($('.storage_dialog #uploader h1'));
+      }
 
-    $('.storage_dialog #uploader .input-path').attr('title', path);
-    $('.storage_dialog #uploader .input-path').attr('data-path', path);
+      $('.storage_dialog #uploader .input-path').attr('title', path);
+      $('.storage_dialog #uploader .input-path').attr('data-path', path);
 
-    // create new folder
-    $('.create').unbind().click(function() {
-      var foldername =  lg.new_folder;
-      var $file_element,
+      // create new folder
+      $('.create').unbind().click(function() {
+        var foldername = lg.new_folder;
+        var $file_element,
           $file_element_list,
           folder_div;
 
 
-      $('.file_manager button.create').attr('disabled', 'disabled');
-      if ($('.fileinfo').data('view') == 'grid') {
-
-        // template for creating new folder
-        folder_div =
-          "<li class='cap_download cap_delete cap_select_file cap_select_folder cap_rename cap_create cap_upload'>" +
-          "<div class='clip'><span data-alt='' class='fa fa-folder-open fm_folder'></span></div>" +
-          "<p><input type='text' class='fm_file_rename'><span title=''>New_Folder</span></p>" +
-          "<span class='meta size'></span><span class='meta created'></span><span class='meta modified'></span></li>";
-
-        path = $('.currentpath').val();
-        $file_element =  $(folder_div);
-        $('.fileinfo #contents.grid').append($file_element);
-        $file_element.find('p span').toggle();
-        $file_element.find('p input').toggle().val(lg.new_folder).select();
-
-        // rename folder/file on pressing enter key
-        $('.file_manager').bind().on('keyup', function(e) {
-          if (e.keyCode == 13) {
-            e.stopPropagation();
-            $file_element.find('p input').trigger('blur');
-          }
-        });
+        $('.file_manager button.create').attr('disabled', 'disabled');
+        if ($('.fileinfo').data('view') == 'grid') {
 
-        // rename folder/file on blur
-        $file_element.find('p input').on('blur', function(e) {
-          $('.file_manager button.create').removeAttr('disabled');
-          var text_value = $file_element.find('p input').val();
+          // template for creating new folder
+          folder_div =
+            '<li class=\'cap_download cap_delete cap_select_file cap_select_folder cap_rename cap_create cap_upload\'>' +
+            '<div class=\'clip\'><span data-alt=\'\' class=\'fa fa-folder-open fm_folder\'></span></div>' +
+            '<p><input type=\'text\' class=\'fm_file_rename\'><span title=\'\'>New_Folder</span></p>' +
+            '<span class=\'meta size\'></span><span class=\'meta created\'></span><span class=\'meta modified\'></span></li>';
 
           path = $('.currentpath').val();
+          $file_element = $(folder_div);
+          $('.fileinfo #contents.grid').append($file_element);
+          $file_element.find('p span').toggle();
+          $file_element.find('p input').toggle().val(lg.new_folder).select();
 
-          $file_element.find('p input').toggle();
-          $file_element.find('p span').toggle().html(text_value);
-          if (text_value === undefined) {
-            text_value = lg.new_folder;
-          }
-          getFolderName(text_value);
-          getFolderInfo(path);
-        });
+          // rename folder/file on pressing enter key
+          $('.file_manager').bind().on('keyup', function(e) {
+            if (e.keyCode == 13) {
+              e.stopPropagation();
+              $file_element.find('p input').trigger('blur');
+            }
+          });
 
-      } else if ($('.fileinfo').data('view') == 'list') {
-        // template to create new folder in table view
-        folder_div = $(
-          "<tr class='cap_download cap_delete cap_select_file cap_select_folder cap_rename cap_create cap_upload'>" +
-          "<td title='' class='fa fa-folder-open tbl_folder'>" +
-          "<p><input type='text' class='fm_file_rename'><span>" +
-          lg.new_folder + "</span></p>" +
-          "</td><td><span title=''></span></td>" +
-          "<td></td>" +
-          "</tr>"
-        );
+          // rename folder/file on blur
+          $file_element.find('p input').on('blur', function() {
+            $('.file_manager button.create').removeAttr('disabled');
+            var text_value = $file_element.find('p input').val();
 
-        $file_element_list =  $(folder_div);
-        $('.fileinfo #contents.list').prepend($file_element_list);
-        $file_element_list.find('p span').toggle();
-        $file_element_list.find('p input').toggle().val(lg.new_folder).select();
+            path = $('.currentpath').val();
 
-        // rename folder/file on pressing enter key
-        $('.file_manager').bind().on('keyup', function(e) {
-          if (e.keyCode == 13) {
-            e.stopPropagation();
-            $file_element_list.find('p input').trigger('blur');
-          }
-        });
+            $file_element.find('p input').toggle();
+            $file_element.find('p span').toggle().html(text_value);
+            if (text_value === undefined) {
+              text_value = lg.new_folder;
+            }
+            getFolderName(text_value);
+            getFolderInfo(path);
+          });
 
-        // rename folder/file on blur
-        $file_element_list.find('p input').on('blur', function(e) {
-          $('.file_manager button.create').removeAttr('disabled');
-          var text_value = $file_element_list.find('p input').val();
-          path = $('.currentpath').val();
-          $file_element_list.find('p input').toggle();
-          $file_element_list.find('p span').toggle().html(text_value);
-          if (text_value === undefined) {
-            text_value = lg.new_folder;
-          }
-          getFolderName(text_value);
-          getFolderInfo(path);
-        });
-      }
+        } else if ($('.fileinfo').data('view') == 'list') {
+          // template to create new folder in table view
+          folder_div = $(
+            '<tr class=\'cap_download cap_delete cap_select_file cap_select_folder cap_rename cap_create cap_upload\'>' +
+            '<td title=\'\' class=\'fa fa-folder-open tbl_folder\'>' +
+            '<p><input type=\'text\' class=\'fm_file_rename\'><span>' +
+            lg.new_folder + '</span></p>' +
+            '</td><td><span title=\'\'></span></td>' +
+            '<td></td>' +
+            '</tr>'
+          );
+
+          $file_element_list = $(folder_div);
+          $('.fileinfo #contents.list').prepend($file_element_list);
+          $file_element_list.find('p span').toggle();
+          $file_element_list.find('p input').toggle().val(lg.new_folder).select();
+
+          // rename folder/file on pressing enter key
+          $('.file_manager').bind().on('keyup', function(e) {
+            if (e.keyCode == 13) {
+              e.stopPropagation();
+              $file_element_list.find('p input').trigger('blur');
+            }
+          });
 
-      // create a new folder
-      var getFolderName = function(value) {
-        var fname = value;
-
-        if (fname != '') {
-          foldername = fname;
-          var d = new Date(); // to prevent IE cache issues
-          $.getJSON(pgAdmin.FileUtils.fileConnector + '?mode=addfolder&path=' + $('.currentpath').val() + '&name=' + foldername, function(resp) {
-            var result = resp.data.result;
-            if (result.Code === 1) {
-              alertify.success(lg.successful_added_folder);
-              getFolderInfo(result.Parent);
-            } else {
-              alertify.error(result.Error);
+          // rename folder/file on blur
+          $file_element_list.find('p input').on('blur', function() {
+            $('.file_manager button.create').removeAttr('disabled');
+            var text_value = $file_element_list.find('p input').val();
+            path = $('.currentpath').val();
+            $file_element_list.find('p input').toggle();
+            $file_element_list.find('p span').toggle().html(text_value);
+            if (text_value === undefined) {
+              text_value = lg.new_folder;
             }
+            getFolderName(text_value);
+            getFolderInfo(path);
           });
-        } else {
-          alertify.error(lg.no_foldername);
         }
-      };
 
-    });
-  },
-  /* Decides whether to retrieve file or folder info based on
-   * the path provided.
-   */
-  getDetailView: function(path) {
-    if (path.lastIndexOf('/') == path.length - 1 || path.lastIndexOf('\\') == path.length - 1) {
-      var allowed_types = this.config.options.allowed_file_types;
-      var set_type = allowed_types[0];
-      if (allowed_types[0] == "*") {
-        set_type = allowed_types[1];
+        // create a new folder
+        var getFolderName = function(value) {
+          var fname = value;
+
+          if (fname != '') {
+            foldername = fname;
+            // Add _ variable in URL for avoiding the caching
+            $.getJSON(
+              pgAdmin.FileUtils.fileConnector + '?_=' + Date.now() + 'mode=addfolder&path=' + $('.currentpath').val() + '&name=' + foldername,
+              function(resp) {
+                var result = resp.data.result;
+                if (result.Code === 1) {
+                  Alertify.success(lg.successful_added_folder);
+                  getFolderInfo(result.Parent);
+                } else {
+                  Alertify.error(result.Error);
+                }
+              }
+            );
+          } else {
+            Alertify.error(lg.no_foldername);
+          }
+        };
+
+      });
+    },
+    /* Decides whether to retrieve file or folder info based on
+     * the path provided.
+     */
+    getDetailView: function(path) {
+      if (path.lastIndexOf('/') == path.length - 1 || path.lastIndexOf('\\') == path.length - 1) {
+        var allowed_types = this.config.options.allowed_file_types;
+        var set_type = allowed_types[0];
+        if (allowed_types[0] == '*') {
+          set_type = allowed_types[1];
+        }
+        getFolderInfo(path, set_type);
       }
-      getFolderInfo(path, set_type);
-    }
-  },
-  // helpful in show/hide toolbar button for Windows
-  hideButtons: function() {
+    },
+    // helpful in show/hide toolbar button for Windows
+    hideButtons: function() {
       return (
         this.config.options.platform_type == 'win32' &&
         $('.currentpath').val() === ''
       );
-  },
+    },
 
-};
-return pgAdmin.FileUtils;
+  };
+  return pgAdmin.FileUtils;
 });
 //@ sourceURL=utility.js
